%global momorel 2
%global md5sum_src0 dc421a690648b503265c82ade84e143e

Summary: A program to extract Microsoft Cabinet files
Name: cabextract
Version: 1.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Archiving
URL: http://www.kyz.uklinux.net/cabextract.php
%NoSource 0 http://www.kyz.uklinux.net/downloads/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program simply unpacks such files.

%prep
%setup -q

%build
%configure
%make

%install
[ %{buildroot} != "/" ] && rm -rf %{buildroot}
%makeinstall

# install Japanese manual page
mkdir -p %{buildroot}%{_mandir}/ja/man1
iconv -f euc-jp -t utf-8 doc/ja/cabextract.1 > %{buildroot}%{_mandir}/ja/man1/cabextract.1
chmod 644 %{buildroot}%{_mandir}/ja/man1/cabextract.1

%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc/magic doc/wince_cab_format.html
%{_bindir}/cabextract
%{_mandir}/man1/cabextract.1*
%{_mandir}/ja/man1/cabextract.1*

%changelog
* Fri Jun 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-2m)
- convert ja.man from EUC-JP to UTF-8

* Fri Oct  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- version 1.2

* Mon Oct 18 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- security fix
- see NEWS or http://www.kyz.uklinux.net/cabextract.php#changes

* Sat Aug 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- cp -> install -m 644

* Fri Jun 18 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- version 1.0

* Fri Jun 18 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-1m)
- import
